<?php
// required headers
header("Access-Control-Allow-Origin: http://localhost/rest-api-authentication-example-level-2/");
header("Content-Type: application/json; charset=UTF-8");

// include database and object files
include_once '../config/core.php';
include_once '../config/database.php';
include_once '../objects/user.php';
include_once '../utilities.php';

// utilities
$utilities = new Utilities();

// instantiate database and user object
$database = new Database();
$db = $database->getConnection();

// initialize object
$user = new User($db);

// query users
$stmt = $user->readPaging($from_record_num, $records_per_page);
$num = $stmt->rowCount();

// check if more than 0 record found
if($num>0){

	// users array
	$users_arr=array();
	$users_arr["records"]=array();
	$users_arr["paging"]=array();

	// retrieve our table contents
	// fetch() is faster than fetchAll()
	// http://stackoverflow.com/questions/2770630/pdofetchall-vs-pdofetch-in-a-loop
	while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
		// extract row
		// this will make $row['name'] to
		// just $name only
		extract($row);

		$user_item=array(
			"id" => $id,
            "firstname" => $firstname,
            "lastname" => $lastname,
			"access_level" => $access_level,
			"email" => $email
		);

		array_push($users_arr["records"], $user_item);
	}


	// include paging
	$total_rows=$user->count();
	$page_url="{$home_url}user/read_paging.php?";
	$paging=$utilities->getPaging($page, $total_rows, $records_per_page, $page_url);
	$users_arr["paging"]=$paging;

	// set response code - 200 OK
	http_response_code(200);

	// make it json format
	echo json_encode($users_arr);
}

else{

	// set response code - 404 Not found
	http_response_code(404);

	// tell the user users does not exist
    echo json_encode(
		array("message" => "No users found.")
	);
}
?>
