$(document).ready(function(){

    // show home page
    $(document).on('click', '#read_users, #read_users_button', function(){
        showUsersFirstPage();
    });

    // when a 'page' button was clicked
    $(document).on('click', '#users_pagination_normal li', function(){
        // get json url
        var json_url=$(this).find('a').attr('data-page');
        
        // show list of products
        showUsersPage(json_url);
    });

});

function showUsersFirstPage(){
    showUsersPage("api/user/read_paging.php");
}

function showUsersPage(json_url){

    // validate jwt to verify access
    var jwt = getCookie('jwt');

    $.post("api/validate_token.php", JSON.stringify({ jwt:jwt })).done(function(result) {
        
        if(result.data.access_level=="Admin"){
            
            // get list of users from api
            $.getJSON(json_url, function(response){
                
                // template in users.js
                readUsersTemplate(response, "");
                clearResponse();
            }); 
        }
    })

    // show login page on error
    .fail(function(result){
        showLoginPage();
        $('#response').html("<div class='alert alert-danger'>Please login as admin to access the users page.</div>");
    });
}