$(document).ready(function(){

    $(document).on('click', '.update_user_button', function(){

        // user id
        var id = $(this).attr('data-id');
        
        // validate jwt to verify access
        var jwt = getCookie('jwt');
        
        $.post("api/validate_token.php", JSON.stringify({ jwt:jwt })).done(function(result) {

            $.getJSON("api/user/read_one.php?id=" + id, function(data){

                var update_user_html=`

                    <div class="row">
                        <div class="col">
                            <button id='read_users_button' class='btn btn-primary float-right mb-3'>
                                Read Users
                            </button>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col">
                            <form id='update_user_form' action='#' method='post' border='0'>
                                <table class='table table-bordered table-hover'>
                                    <tr>
                                        <td>Firstname</td>
                                        <td><input type='text' name='firstname' value='` + data.firstname + `' class='form-control' required /></td>
                                    </tr>

                                    <tr>
                                        <td>Lastname</td>
                                        <td><input type='text' name='lastname' value='` + data.lastname + `' class='form-control' required /></td>
                                    </tr>

                                    <tr>
                                        <td>Email</td>
                                        <td><input type='text' name='email' value='` + data.email + `' class='form-control' required /></td>
                                    </tr>

                                    <tr>
                                        <td>Password</td>
                                        <td><input type='password' name='password' class='form-control' /></td>
                                    </tr>

                                    <tr>
                                        <td><input type='hidden' name='id' value='` + data.id + `' required /></td>
                                        <td>
                                            <button type='submit' class='btn btn-primary'>
                                                <span class='glyphicon glyphicon-plus'></span> Update User
                                            </button>
                                        </td>
                                    </tr>

                                </table>
                            </form>
                        </div>
                    </div>`;

                // inject to app
                $("#content").html(update_user_html);

            });
        })

        // show login page on error
        .fail(function(result){
            showLoginPage();
            $('#response').html("<div class='alert alert-danger'>Please login as admin to update user.</div>");
        });

    });

    $(document).on('submit', '#update_user_form', function(){

        // get form data
        var form_data=JSON.stringify($(this).serializeObject());

        // validate jwt to verify access
        var jwt = getCookie('jwt');

        $.post("api/validate_token.php", JSON.stringify({ jwt:jwt })).done(function(result) {
            
            if(result.data.access_level=="Admin"){
                // submit form data to api
                $.ajax({
                    url: "api/user/update.php",
                    type : "POST",
                    contentType : 'application/json',
                    data : form_data,
                    success : function(result) {
                        // user was created, go back to users list
                        showUsersFirstPage();
                    },
                    error: function(xhr, resp, text) {
                        console.log(xhr, resp, text);
                    }
                });
            }
        })

        // show login page on error
        .fail(function(result){
            showLoginPage();
            $('#response').html("<div class='alert alert-danger'>Please login as admin to create a user.</div>");
        });

        return false;
    });

});